What Is Secure PC Lock

Going for a lunch, a light snack, or a cup of coffee? Your boss has called you to his office immediately? Suddenly leaving your PC, e.g., to meet an unexpected visitor, to answer a phone call in another room, or just going to the bathroom, etc.?

Find this a familiar scenario? There may be many more situations when you have to urgently leave your PC unattended and it's exactly then when your privacy, your files and your work are most vulnerable to prying eyes and/or to potential undesired manipulation by, well, ...let's call them "the unauthorized ones." Reminds you of something? It's the eleventh hour for you to start thinking about securely locking your PC, when you cannot exercise full control over what's happening to it. And this is the tool ready to deliver it.

There are many sorts of computer screen locking software around these days. If you've tried the rest but you're still looking for the one that will bring you a peace of mind and will make you feel really comfortable, try this one. Maybe you won't have to try anymore... but actually start using the PC lock that is secure. Secure PC Lock.

The purpose of this program is to provide you with the desired feeling of safety when you leave your running PC unattended. You'll find it to be user-friendly and easy to handle, yet offering a strong and effective shield protecting access to your data.

As a matter of fact, Secure PC Lock is not a screen saver (though when in action, it may look like one and it also perfectly serves this purpose saving your screen with maximum efficiency...). If it was a screen saver, though, it could be a rather easy target to disable it (even when password-protected) by quite a simple system manipulation. So no, it is not a screen saver though it pretty much behaves like one. Secure PC Lock is a full-fledged stand-alone application loading a powerful password-protected programmatic barrier that automatically freezes all known ways to access your system:

  • Once the Secure PC Lock has locked your screen, you cannot use key combination Ctrl+Alt+Del, Alt+Tab, Ctrl+Esc, Alt+F4 or the Windows key.

  • The movement of your mouse is restricted to unlocking button only.

  • To enhance your protection even more, the program optionally offers to disable your system's CD/DVD autorun feature, as some special screen-unlocking software can access the PC through the CD/DVD drives and disable the locked protective screen. If safety of your data is what matters to you, you are strongly advised to disable the CD/DVD autorun.

  • To counteract possible attempts to disable the locked screen from within the system (e.g., by launching time-delayed applications that look for the program's title and then close it), the program's name as well as captions of its forms are randomly changed (scrambled) during the time the screen has been locked.

  • Option Start With Windows extends your protection even after the restart.

  • There are also numerous other built-in obstacles that prevent to bypass the enforced screen lock by attempts of unauthorized system manipulation.

  • And even the Clipboard may be cleared automatically once you activate the screen lock to prevent retrieval of the password if Paste by Ctrl+V was used when setting it.

If locking your PC securely during your absence is what you need and want, you are on the right track. Read the following topics carefully to get the most of this small ingenious program. It is a product of long development and meticulous fine-tuning and optimization - it was designed to offer an ultimate transparency and maximum simplicity but at the same time not compromising in professional touch, performance, flexibility and reliability.


Options

When launching the program for the first time after the installation, or if the password has not been set yet, the program will load the Options offering you to set the password first. You cannot use the program unless the password has been set.

To set the password for the first time, click on button "Set Password" and enter an identical password (or pass phrase, for an enhanced safety) into both new password edit boxes (type and retype to verify). To change the password that has already been set, click on button "Change Password", enter the old password first and then enter twice the new password. The password is reliably encrypted using the Rijndael (AES) encryption algorithm and is not saved in a decrypted form anywhere on your system.

Note, that the longer your password, the more difficult it is for an intruder to find it by chance. Be practical, though, and keep in mind that too long a password will not be easy for you to use, perhaps even several times a day... Moreover, if there are reasons for you to remove the old password and not to set a new one, you are allowed to do that by entering nothing in the "New Password" and "Retype Your Password" edit boxes and clicking on OK button.

Select your password carefully and do not use words that can be easily guessed or names of people or obvious objects that are closely related to you. Use case-sensitive letters and combine them with numbers and punctuation marks to make the password hard to guess. Just any character of the ASCII table or Character Map may be used, even the spaces. There may be good and bad passwords, though:

Example: If your son's name is Marc, then "Marc" is really a bad password indeed. Consider "ma, :c", or something of the kind. Make sure to remember your password or write it down and keep it at a safe place, else you may easily end up being unable to unlock your screen and the only way out would be to uninstall the program. Find more details and a simple guide what to do when this happens in topic How To Uninstall. Check topic Perils Of The Swap File for advanced notions on passwords and their safety.

Button "Advanced Settings" allows user-defined options specifically selecting or deselecting certain features:

As you can see, you do not have to limit yourself to displaying a blank screen (black or colored) in locked mode (though this may also have its advantages as you may find out clicking on topic Paint It Black) but you may make an original slide-show of your favorite images in manifold and mixed picture formats (*.jpg, *.jpeg, *.bmp, *.ico, *.emf and *.wmf are supported) and display them with more than 150 astonishing and breathtaking effects, as well as play your favorite sound files (*.mp3, *.mid, *.rmi, *.midi, *.wav, *.aif, *.aifc, *.aiff, *.au and *.snd are supported) automatically on locking the screen. You may load literally hundreds, thousands and tens of thousands of images and sound files... You can thus safely present yourself or just entertain people even when you are out. In discovering the hidden potential of this powerful program the choice of the pattern is yours. Note that image and sound files are not included with the program.

Tip: For the best performance, preferably use images equal to or smaller than the size of your screen resolution. Larger images may load slower.

Apart from that, there is a monitoring and logging mechanism built into this application that will inform you about attempts to access your computer using incorrect passwords. All unsuccessful attempts to unlock the screen may be logged and displayed, after the screen has been unlocked, and may optionally be saved for further reference. Mouse moves do not affect the locked screen (unlike screen savers) so an accidental mouse move goes unnoticed by the program. And of course, you may use any system tool you like working in the background behind the impenetrable wall of the Secure PC Lock - Microsoft ScanDisk, Disk Defragmenter, etc., or their respective opposite numbers by other software developers. The only limit is the amount of your PC's memory (RAM). You may even find out that a program that misbehaved when running simultaneously with your screen saver, does its work faultlessly under the Secure PC Lock. Unlike typical screen savers that sometimes interfere with certain programs working in the background, Secure PC Lock can be configured so that it just displays a fixed, non-transparent locked screen that does not meddle with other applications. If in doubt, test its behavior before proceeding.

As the screen saver serves no real purpose when the Secure PC Lock is in locked mode, it is automatically disabled on locking the screen. Once the screen has been unlocked, the screen saver is automatically re-enabled unless it was disabled prior to running Secure PC Lock; it then remains disabled.

If you want the program to load automatically with Windows, check option Start With Windows. With radio button Lock My PC On Launch checked this will ensure that your screen will be securely locked automatically when Windows has started or the system has been restarted offering you an all-round and complex protection.

When ready, press button "Lock Now!" and you're done. If the program has been minimized, right-click its icon in the system tray and choose "Lock Now!". Alternatively, double-click the program's icon in the system tray to activate the lock.

Secure PC Lock will cover your screen with black or user-set color blanket preventing manipulation with your turned on computer. It may stay like that for many hours reliably protecting both access to your opened data as well as the monitor itself. To activate the password dialog box that unlocks the screen, click your mouse or press any key on your keyboard. You may even activate the password input by directly typing your password on the locked screen. The program will accept your input and will process it on pressing Enter or clicking on OK button.

To give you an early warning on the status of your CAPS LOCK key, the password input box displays CAPS IS OFF in its upper right corner, or, alternatively, CAPS IS ON.

Secure PC Lock is a "tough" application. It will continue to protect your system and its icon will remain in the System Tray even when the Explorer crashes keeping Secure PC Lock within your uninterrupted reach. This feature will only work with Windows 98/Me and with Internet Explorer 4 or above installed on your system.


Paint It Black

To paint it black, or not to paint it black? That is the question...

The default screen color this program loads in locking mode is black but you may easily user-customize a couple of other screen colors, if so preferred, or even load an image slide-show. Nevertheless, the black color is the most recommended one as it does its expected job most efficiently. When a computer that has been turned on is left unattended, it is as dark a screen as possible that saves your monitor's screen best. Here's why.

Have you heard that the black screen is the most effective screen saver? No? Well, then you better believe it as the screen is saved best when it's not forced to emit ANY light or use any light pixels, and that happens... (surprised?) ...when it's totally dark. Having a PC idle during your absence - who cares about a screen saver with moving images, etc., when there's no one around (or worth it, for that matter) to watch it or to appreciate it? And even Windows itself allows you to set a black screen as your screen saver - it's called Blank Screen. But Secure PC Lock still goes one big step further - it not only offers an equivalent of the Blank Screen screen saver, it actually strongly and reliably locks your PC offering also an accompanying logging of intruder attempts to access it.

So this is why there are no colorful pictures, no scrolling images or randomly performed pseudo-psychedelic and the like shape transformations, no unremovable announcements posted on screen or time displayed, etc., in this program by default, lasting for as long as the screen has been locked. Just... a black screen. This is what really does it and this is the bottom line, no matter what commercialization of the computer world brings about and says.

To cut it all short - do not hesitate to lock your screen in black, if you want to save it.


Perils Of The Swap File

Can the system's swap file be scanned for the password used in the Secure PC Lock?

This is an advanced topic and even many system operators and programmers have never done it and possibly do not even know how to do it. But yes, technically speaking, it can be scanned and its contents can be subject to an analysis. But with what results can a "swap file scanner" or a "swap file analyzer" come up with?

Swap file (a paging file) is always a very large binary system file, often of many dozens of megabytes (...and inspecting every bit of it would take many hours if not days or possibly even weeks). As its purpose is to serve as an extension of the system's RAM it may store much of the data that was loaded into memory, mainly if the amount of memory was insufficient for a particular operation. And yes, also your Secure PC Lock password (as ANY OTHER data that was loaded into memory, for that matter) may possibly get into it though with systems with larger memory (64 MB or more) chances are pretty slim for this to happen. But let's assume it does get into the swap file and let's assume the swap file is subsequently analyzed. We speak about attempts to reveal the password when accessing the system on other occasion, in other words, a post factum inspection. When your screen has been locked with Secure PC Lock, there is just no way for this to do. Now what are the chances of successfully retrieving the password from the swap file?

Unlike many other programs, Secure PC Lock does not precede its password in the swap file with words "password" or "pwd", etc., that could make up for a clue and make the life of a "swap file scanner" much easier as it would be sufficient to look for these keywords closely inspecting everything around and looking for a possible password. Here, a "swap file scanner" would have to analyze literally every bit of the swap file and test it if it was not the functional password. This is not only non-practical but also unfeasible. Of course, if e.g., word "Chicago" is found at a suspicious location in the swap file and later tested if it was not the password, it would have been a real blunder for the one who selected a password like that. But what would a "swap file scanner" make out of a password combination reading something like " >ä {~# ?*$ " as the swap file is full of system-generated garbage-like looking strings similar to it? So the strength of the password lies not only in its length and possible case-sensitivity mixed with use of alphanumeric, but also in its inventiveness and combination with non-standard characters. One more good reason and occasion to emphasize it. Good password doesn't necessarily have to be very long. It needs to be fairly long, but even more importantly, it needs to be inventive and possibly unsuspicious. Rack your fantasy for the good ones. After all, it is your own safety that comes first.

To remove the possible week spot that the swap file may represent and to enhance the safety of your system even more, you may optionally overwrite and erase the swap file after each Windows session using specialized software. This issue, however, goes beyond the scope of this Help file and this program.


License

Copyright © 2004 Visual Fantasy. All rights reserved.

Secure PC Lock (hereinafter referred to as the "SOFTWARE"), is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. You must not remove or alter any copyright notices on all copies of the SOFTWARE or any of its components. It is explicitly prohibited to reverse-engineer, decompile, or disassemble the SOFTWARE, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. The SOFTWARE is owned and copyrighted by Visual Fantasy. Your license confers no title or ownership in the SOFTWARE and should not be construed as a transfer of any right in the SOFTWARE. The SOFTWARE is licensed to you, not owned by you. Without prejudice to any other rights, Visual Fantasy may terminate your license if you fail to comply with its terms and conditions. In such event, you must destroy and stop using all copies of the SOFTWARE.

You are hereby licensed to freely use and evaluate the SOFTWARE for 45 days after which period you are required to register if you want to continue using the SOFTWARE (purchasing a single user license, a site license or a world-wide license, accordingly) or to remove it from your computer. For details see topic About Registration And Upgrades.

The SOFTWARE is provided "as is" and without warranty of any kind, either express or implied, including, without limitation, the implied warranties of fitness for a particular purpose. The entire risk arising out of the use of or inability to use the SOFTWARE remains with the user. In no event shall Visual Fantasy or anyone else who has been involved in the creation or delivery of the SOFTWARE be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, demands for loss of business profits, business interruption, loss of business information, reasonable attorneys' fees, or any other pecuniary claim) arising out of the use of or inability to use the SOFTWARE, even if Visual Fantasy has been advised of the possibility of such damages.

The self-extracting executable installation file of the SOFTWARE may be copied and distributed without any limitations and by any media in its original unmodified state. No prior consent from Visual Fantasy is necessary.

By installing, copying, or otherwise using the SOFTWARE you are agreeing to the above terms. If you do not agree to these terms, do not install or use the SOFTWARE.


About Registration And Upgrades

Secure PC Lock is shareware. It is a fully functional and feature-unrestricted program. You are licensed to freely use it and evaluate it for an extended period of 45 days after which time you are required to register if you want to continue using this application, or to remove it from your computer. The extended evaluation period will allow you to better test the program and familiarize yourself with its features.

Registration will fully legalize your indefinite use of this application, based on the type of license you'll purchase (see below). You'll also automatically qualify for life-of-product free future upgrades within your license (the upgrades will be made available for download at our web site). Registration is provided by the processing service of our web site at Kagi, Berkeley, California, USA.

Online registration is the only way how you can register. You may register by credit cards - VISA, Mastercard, Eurocard, American Express, Optima, Discover, Diners Club, JCB Card and Carte Blanche are accepted - as well as by check/money order/postal money order or even cash in specified currencies sent by postal mail. The credit card number will be encrypted for enhanced security.

Our registration procedure has been made as simple as possible. If you have access to the Internet, you may register clicking on the following link: Register Online. You will be connected to Kagi Online Order Processing - Visual Fantasy secure online registration site at Berkeley and your ordering and credit card information will be encrypted using the Secure Socket Layer (SSL) protocol before being transferred to the secure web server. You may register in any of the following 12 languages: English, Danish, Dutch, Finnish, French, German, Italian, Japanese, Portuguese, Russian, Spanish and Swedish.

Registration fees are as follows:

Type of license | Registration fee
single user | USD 10
site license | USD 100
world-wide license | USD 300

Check for possible limited time offers at our secure online registration site.

Site license covers a single organization for an area of up to 100 miles (160 km) in radius. World-wide license covers everyone in a single organization.

On receipt of payment, the registration data will be sent to you within 48 hours, preferably by e-mail. It will legally authorize your indefinite use of this application acknowledging that the registration has been duly entered into the Visual Fantasy registered users database.

Registration entitles you to free upgrades - once you register, you won't have to register ever again! Your registration will be valid for all future releases of Secure PC Lock.


How To Uninstall

When using Secure PC Lock, the rule of thumb is to make sure you remember your password, otherwise you may easily end up being unable to unlock the screen and the only way out would be to uninstall the program after a forced reboot and restart of Windows. With option "Start With Windows" enabled it will be even more difficult and the only way to do this would be uninstalling through the system's safe mode. If you do not know what the safe mode is, refer to your operating system's Help file, your operating system's supplier or your authorized PC dealer's support. Visual Fantasy reserves the right not to take support requests on guiding you in your operating system's modes and settings.

Before uninstalling, close Secure PC Lock as well as any of its associated files (Help file, Read Me, files with visual and audio settings, if they exist, etc.).

If you need to change the location of the program on your hard disk, please uninstall it first and then reinstall it to another location. The uninstaller will then easily find your program and the uninstall will be "full" and "clean", leaving no files behind as the so-called orphans.

If you want to reinstall the program (or install a newer version), you do not have to uninstall it first as the new installation will overwrite the existing files. Make sure, however, that you close all files of this program before proceeding, as otherwise the opened files will not be updated and you will be prompted to restart your computer to finalize the installation.

To uninstall this program, use the standard Windows uninstall procedure: click on Start Menu, Settings, open Control Panel, load Add/Remove Programs applet, select "Secure PC Lock", press Add/Remove button and follow further instructions on screen. Files of Secure PC Lock will be deleted and the program's customized settings and the password will be removed from your system.


Copyright Notice

Secure PC Lock

The simplest way to securely lock your PC from prying eyes.

Multimedia-enabled screen locking program to protect your privacy for Windows 95/98/Me

Version 1.1

Copyright © 2004 Visual Fantasy

This program is shareware. For license and registration conditions see topics License and About Registration And Upgrades.

Secure PC Lock may be copied and distributed without any limitations and by any media in its original self-extracting executable installation file, provided it has not been modified in any way. No prior consent from Visual Fantasy is necessary. Feel free to create links to our web site.

If you have access to the Internet, you may check for updates and other software at the Visual Fantasy Web Site clicking on the following link: http://www.kagi.com/fantasy/


Visual Fantasy Programs

All software by Visual Fantasy is fully functional, uncrippled and feature-unrestricted, contains no advertisement leading to other sites and is clear of adware or spyware. It may be freely downloaded, copied and distributed without any limitations and by any media (over the Internet, on cover, promotional or other CDs, DVDs, floppies, etc.) provided it is in its original unmodified state. No prior consent from Visual Fantasy is required.

If you have access to the Internet, you may check for the latest releases clicking on the titles below or on http://www.kagi.com/fantasy/

Secure PC Lock

Screen locking application for Windows 95/98/Me guarding your PC from snooping and prying eyes when left unattended. On activation loads a powerful password-protected programmatic barrier that automatically freezes all known ways to access your system: through the keyboard shortcuts and system keys, CD/DVD drives, Clipboard or mouse. Strong encryption secures your password from being easily compromised even by an experienced intruder. Packed with multimedia features - plays music and displays images in locked mode.

HandyPad

A mini text editor appearing above your system tray enabling you to operatively write down a few notes for Windows 95/98/Me/NT4/XP and to keep them handy at your fingertips. It has an option to load on system startup minimized to the System Tray thus allowing to easily scribble an ad hoc memo that will be saved automatically as you type it! Suitable to jot down some quick notes, phone numbers, web site or e-mail addresses, etc., as well as for any other word processing purposes and needs that life may bring about...

Configuration LifeGuard

Configuration backup and restore tool with a difference. A utility to make an easy backup of up to 10 most important configuration and system files of Windows 95/98. Simple to operate and safe to use, fast, straightforward, effective and reliable. The ally of your system configuration always at reach in related emergency situations - a piece of lifeguard tool for the peace of your configuration mind. Selected PC World Magazine Editor's Pick and featured as a recommended system utility at one of the world's most prestigious web sites - CNN.com!

GermanAssistant (formerly known as Umlaut Assistant)

Inconspicuous and flexibly configurable German characters add-on toolbar for Windows 95/98/Me/NT4/XP. A small applet sitting on top of your screen seamlessly integrates with any word processing software assisting you in entering into your document the special German characters on non-German keyboards or keyboard support.

FrenchAssistant

Inconspicuous and flexibly configurable French characters add-on toolbar for Windows 95/98/Me/NT4/XP. A small applet sitting on top of your screen seamlessly integrates with any word processing software assisting you in entering into your document the special French characters on non-French keyboards or keyboard support.

Screensaver Disabled!

Run this tiny utility for Windows 95/98/Me/NT4 when you temporarily do not want your default screensaver engaged after the time specified in its settings and would prefer to keep it "out of business" until a certain type of job is done. This may come handy in numerous situations - e.g., when defragmenting your hard disk, running system checking, testing and repairing utilities (ScanDisk, Norton Disk Doctor, benchmarking software, system diagnostics programs, etc.) or when recording a CD, to mention just a few.

Default Screensaver

This small formless applet will help you to load your default screensaver the way Windows 95/98/Me/XP normally doesn't allow you to - on the system startup or with a keyboard shortcut. Doesn't stay in memory, works silently and immediately terminates after its job is done - when the screensaver has been loaded. Also clears Clipboard automatically when run to enhance the safety of your unattended PC.

AutoClipClear

A tiny, formless applet that automatically clears the Windows 95/98/Me/NT4/XP Clipboard when run. Doesn't stay in memory, works silently and immediately terminates. It takes less than a second to clear the contents of the Clipboard - be it an image or a text. You may use it as a security add-on and run it periodically within your scheduled tasks to further increase the safety of your data and your privacy.